# CruiseAssist

## What's this?

Adjust the orientation to the target planet or star when moving between planets or star systems.   

You can set the target by selecting it in the indicator, by selecting it in the star list, or by facing the star.  

## IMAGE

### Main Window (full size)
![image016](https://github.com/tanukinomori/DSPMod/blob/main/CruiseAssist/image/image016.png?raw=true)

### Main Window (mini size)
![image007](https://github.com/tanukinomori/DSPMod/blob/main/CruiseAssist/image/image007.png?raw=true)

### StarList Window (Normal)
![image011](https://github.com/tanukinomori/DSPMod/blob/main/CruiseAssist/image/image011.png?raw=true)

### StarList Window (History)
![image012](https://github.com/tanukinomori/DSPMod/blob/main/CruiseAssist/image/image012.png?raw=true)

### StarList Window (Bookmark)
![image013](https://github.com/tanukinomori/DSPMod/blob/main/CruiseAssist/image/image013.png?raw=true)

### Config Window
![image018](https://github.com/tanukinomori/DSPMod/blob/main/CruiseAssist/image/image018.png?raw=true)

## CHANGE LOG

### v0.0.33

 - Update to game version 0.9.24.11182

### v0.0.32

 - Update to game version 0.8.23.9808
 - Changed so that the CruiseAssist UI is not displayed when the Milky Way is displayed.

### v0.0.31

 - Update to game version 0.8.22.9331

### v0.0.30

 - Fixed bug.

### v0.0.29

 - Update to game version 0.7.18.6931

### v0.0.28

 - Fixed bug.

### v0.0.27

 - Fixed bug.

### v0.0.26

 - Added the ability to mark visited star systems and planets (can be disabled in config)

### v0.0.25

 - Fixed an issue where objects behind the UI could be manipulated.

### v0.0.24

 - Added button click sound.

### v0.0.23

 - Added the ability to delete history.

### v0.0.22

 - Improved convenience of the Add Bookmark button.

### v0.0.21

 - Added the ability to disable cursor lock when starting sail mode (can be toggled in config, initially disabled).

### v0.0.20

 - Added ability to hide duplicate history (can be disabled in config)
 - Changed the display of time to destination the target star system or planet to hours, minutes, and seconds.

### v0.0.19

 - Added the ability to focus on a star system or planet when it is selected in the star list during starmap (can be disabled in config).

### v0.0.18

 - Added the ability to sort bookmarks.

### v0.0.17

 - Add bookmarks.
 - Improved display of star systems and planets with long names.
 - Fixed a bug in the distance display.

### v0.0.16

 - Slightly improved the display of star systems and planets with long names.
 - Changed so that when you select a star system in the star list, the planet will be shown in the star list if you have enough levels of Universe exploration.

### v0.0.15

 - Added config window.
 - Added the ability to change the scale of the UI.

### v0.0.14

 - Fixed bug.

### v0.0.13

 - Changed so that the Cruise Assist UI is displayed even when the Star Map is displayed.

### v0.0.12

 - Add history.

### v0.0.11

 - Changed to disable assist while in operation.

### v0.0.10

 - Added the ability to reduce the size of the information window.
 - Added the ability to enable/disable the assist function with a button.

### v0.0.9

 - Changed star names to show renamed names.
 - Added the ability to synchronize the indicator with the selected star.

### v0.0.8

 - Add star list.

### v0.0.7

 - Added display of arrival time to the target star system or planet.

### v0.0.6

 - Added display of distances to target star systems and planets.
 - Changed so that the information window does not go out of the screen.

### v0.0.5

 - Added the ability to save the position of the information window.

### v0.0.4

 - Add information window.

### v0.0.3

 - Changed to head for the planet while at warp.

### v0.0.2

 - Fixed bug.

### v0.0.1

 - Publish.

## これは何？

惑星間移動や星系間移動する時に対象の惑星や恒星へ向きを調整します。  

対象の設定はインジケーターで選択、星系リストで選択、星の正面を向くなどで出来ます、

## 変更履歴

### v0.0.33

 - ゲームバージョン0.9.24.11182への更新

### v0.0.32

 - ゲームバージョン0.8.23.9808への更新
 - ミルキーウェイを表示しているときにはCruiseAssistのUIを表示しないように変更

### v0.0.31

 - ゲームバージョン0.8.22.9331への更新

### v0.0.30

 - 不具合を修正

### v0.0.29

 - ゲームバージョン0.7.18.6931への更新

### v0.0.28

 - 不具合を修正

### v0.0.27

 - 不具合を修正

### v0.0.26

 - 訪問済み星系と惑星に印を付ける機能を追加（設定で無効にできます）

### v0.0.25

 - UIの背後にあるオブジェクトを操作できる問題を修正

### v0.0.24

 - ボタンのクリック音を追加しました

### v0.0.23

 - 履歴を削除できるようにしました

### v0.0.22

 - ブックマーク追加ボタンの利便性を向上

### v0.0.21

 - 航行モードへ切り替え時にカーソルロックをしない機能を追加（設定で切り替え出来て最初は無効です）

### v0.0.20

 - 重複した履歴を非表示にできる機能を追加しました（設定で無効にできます）
 - 対象の星系や惑星への到達時間の表示を時分秒に変更

### v0.0.19

 - スターマップの時に星系リストで星系や惑星を選択したらフォーカスする機能を追加（設定で無効にできます）

### v0.0.18

 - ブックマークをソートできる機能の追加

### v0.0.17

 - ブックマークを追加
 - 長い名前の星系や惑星の表示を改善
 - 距離表示のバグ修正

### v0.0.16

 - 長い名前の星系や惑星の表示を少し改善
 - 星系リストで星系を選択したときに宇宙探査のレベルが足りていれば惑星を星系リストに表示するよう変更

### v0.0.15

 - 設定ウインドウを追加
 - UIのスケールを変更できる機能の追加

### v0.0.14

 - 不具合を修正

### v0.0.13

 - スターマップの表示中にもクルーズアシストのUIを表示するよう変更

### v0.0.12

 - 履歴を追加

### v0.0.11

 - 操作中はアシストを無効にするよう変更

### v0.0.10

 - 情報ウインドウを小さく出来る機能を追加
 - アシストの有効/無効をボタンで切り替え出来る機能を追加

### v0.0.9

 - 星の名前をリネームした名前を表示するよう変更
 - 選択した星とインジケーターの同期を取る機能追加

### v0.0.8

 - 星系リストを追加

### v0.0.7

 - 対象の星系や惑星への到達時間の表示を追加

### v0.0.6

 - 対象の星系や惑星への距離の表示を追加
 - 情報ウインドウが画面外に出ないよう変更

### v0.0.5

 - 情報ウインドウの位置を保存する機能を追加

### v0.0.4

 - 情報ウインドウを追加

### v0.0.3

 - ワープ中も惑星に向かうよう変更

### v0.0.2

 - 不具合を修正

### v0.0.1

 - 公開
